#!/bin/ksh

###############################################

usage(){
  echo "USAGE:"
  echo "`basename $0` [-a] filename"
  echo " -a(ll) : Force to run install and bypassing all error(s) during installation"
  echo " filename : Tarball File that to be installed"
  echo ""
  exit 1
}

if [ $# -eq 0 -o $# -gt 2 ]
then
 usage
fi

force="N"
inputfile="N"

while [ $# -gt 0 ]
do
  case $1 in
    -a)
     # shift
     # if [ $# -eq 0 ]
     # then
     #   echo "Incomplete argument specification "
     #   usage
     # fi
      force="Y"
      ;;

    *)
      inputfile=$1
      echo "inputfile is $inputfile"
      ;;
  esac
  shift
done


###############################################
cur_dir=`pwd`
inst_file=$inputfile

CORE_PA_PWLOAD="${FLEXPM_HOME}/patches/Core8.0.5_P4"

###############################################


# Check env settings
 echo "Checking environment....."

  if ! [[ -d ${FLEXPM_HOME} ]]; then
     echo "Env variable FLEXPM_HOME must be set to appropriate dir before installation."
     exit;
  fi

  if [ ! -f ${inst_file} ] ; then
    echo "Invalid file ${inst_file}."
    exit;
  fi

  ### check if middleware is running...
  ps-mgr watch once >/dev/null 2>&1
  ret=$?

  if [ $ret == 0 ] ; then
    echo "Middleware is running, please shut down before applying the patch!"
    exit 2
  fi

       ####################### pre-requisite validation ###########################
       ############################################################################

      #################### End of pre-requisite validation #######################
      ############################################################################

  cp ${cur_dir}/${inst_file} ${FLEXPM_HOME}
  ret=$?
  if [ $ret == 0 ] ; then
     echo "Copied ${inst_file} to ${FLEXPM_HOME}"
  fi


  if [ -f ${FLEXPM_HOME}/${inst_file} ] ; then
    cd $FLEXPM_HOME
    gtar xzf ${inst_file}  >/dev/null 2>&1
##    ret=$?
##    if [ $ret == 0 ] ; then
       echo "Patches extracted!"

       ### install core patches Pwmload
       cd ${CORE_PA_PWLOAD}
       ./install.sh -install


##    else
##       echo "Error in extracting $inst_file!"
##       exit 1

##   fi
  fi

  if [ -f ${FLEXPM_HOME}/${inst_file} ] ; then
     rm ${FLEXPM_HOME}/${inst_file}
  fi
  exit 0
